PlainTextFileDataReader (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.ml.model

## Class PlainTextFileDataReader

- java.lang.Object
- - opennlp.tools.ml.model.PlainTextFileDataReader

- All Implemented Interfaces:
    DataReader

      public class PlainTextFileDataReader
      extends Object
      implements DataReader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlainTextFileDataReader(BufferedReader in)`
    `PlainTextFileDataReader(File f)`
    `PlainTextFileDataReader(InputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `readDouble()`
    `int` | `readInt()`
    `String` | `readUTF()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlainTextFileDataReader

          public PlainTextFileDataReader(File f)
                                  throws IOException

      Throws:
        `IOException`

    - #### PlainTextFileDataReader

          public PlainTextFileDataReader(InputStream in)

    - #### PlainTextFileDataReader

          public PlainTextFileDataReader(BufferedReader in)

  - ### Method Detail

    - #### readDouble

          public double readDouble()
                            throws IOException

      Specified by:
        `readDouble` in interface `DataReader`
      Throws:
        `IOException`

    - #### readInt

          public int readInt()
                      throws IOException

      Specified by:
        `readInt` in interface `DataReader`
      Throws:
        `IOException`

    - #### readUTF

          public String readUTF()
                         throws IOException

      Specified by:
        `readUTF` in interface `DataReader`
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.